rte_bbdev_op_cap_ldpc_dec(3)

NAME
rte_bbdev_op_cap_ldpc_dec

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

uint32_t capability_flags
int8_t llr_size
int8_t llr_decimals
uint16_t num_buffers_src
uint16_t num_buffers_hard_out
uint16_t num_buffers_soft_out

Detailed Description

List of the capabilities for the LDPC Decoder

Definition at line 879 of file rte_bbdev_op.h.

Field Documentation

  uint32_t capability_flags
Flags from rte_bbdev_op_ldpcdec_flag_bitmasks

Definition at line 881 of file rte_bbdev_op.h.

  int8_t llr_size
LLR size in bits. LLR is a two’s complement number.

Definition at line 883 of file rte_bbdev_op.h.

  int8_t llr_decimals
LLR numbers of decimals bit for arithmetic representation

Definition at line 885 of file rte_bbdev_op.h.

  uint16_t num_buffers_src
Num input code block buffers

Definition at line 887 of file rte_bbdev_op.h.

  uint16_t num_buffers_hard_out
Num hard output code block buffers

Definition at line 889 of file rte_bbdev_op.h.

  uint16_t num_buffers_soft_out
Num soft output code block buffers if supported by the driver

Definition at line 891 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.